Page MenuHomePhabricator

[Bug]Canceling "Open Project" blocks eflete
Closed, ResolvedPublic1 Story Points

Description

Precondition:

  1. make 10000 empty folders in home
  2. start eflete
  3. while fileselector load list of folders into it's genlist, click on heavy project
  4. let it load for awhile then click on cancel

deadlock

for more info please look at the video

NikaWhite renamed this task from Canceling "Open Project" blocks eflete to [Bug]Canceling "Open Project" blocks eflete.Apr 25 2016, 1:43 AM
artem.popov edited projects, added Eflete (Eflete (v0.6.2-RC1)); removed Eflete.
artem.popov triaged this task as Normal priority.
NikaWhite edited a custom field.May 30 2016, 6:46 AM
FurryMyad added a subscriber: NikaWhite.
NikaWhite removed the point value for this task.
NikaWhite moved this task from Eflete (v0.6.2-RC2) to Eflete (v0.6.2-RC3) on the Eflete board.
NikaWhite raised the priority of this task from Normal to Incoming Queue.
NikaWhite edited projects, added Eflete; removed Eflete (Eflete (v0.6.2-RC3)).
NikaWhite edited projects, added Eflete (Eflete 0.7); removed Eflete.
NikaWhite moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.Jul 4 2016, 5:56 AM
NikaWhite set the point value for this task to 1.Jul 4 2016, 7:41 AM

Removed ability to cancel thread.

NikaWhite moved this task from Doing to Done on the Eflete (Eflete 0.7) board.Jul 4 2016, 7:42 AM
FurryMyad moved this task from Done to Review on the Eflete (Eflete 0.7) board.Jul 5 2016, 8:40 AM
FurryMyad moved this task from Review to Done on the Eflete (Eflete 0.7) board.
rimmed closed this task as Resolved.Jul 18 2016, 4:18 AM